# Commit or Cancel Payout

> 📘 Requesting a payout consists of 2 steps
>
> 1. Create
> 2. **Commit / Cancel** \<--- in this page

After payout creation, you need to either commit or cancel the payout.

## Commit Payout

Make a [`POST /payouts/{payoutId}/commit`](https://docs.unipaas.com/reference/payoutcontroller_commitpayout)\
 request:

```curl
curl --request POST \
  --url 'https://sandbox.unipaas.com/platform/payouts/{payoutId}/commit' \
  --header 'Accept: application/json' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer <PLATFORM_SECRET_KEY>'
```

in the response, you'll get the commited [`Payout object`](https://docs.unipaas.com/docs/pay-out-funds-overview#the-payout-object). 

## Commit Vendor Payout

Make a [`POST /vendors/{vendorId}/payouts/{payoutId}/commit`](https://docs.unipaas.com/reference/payoutcontroller_commitpayout) request:

```curl
curl --request POST \
  --url 'https://sandbox.unipaas.com/platform/vendors/{vendorId}/payouts/{payoutId}/commit' \
  --header 'Accept: application/json' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer <PLATFORM_SECRET_KEY>'
```

in the response, you'll get the commited [`Payout object`](https://docs.unipaas.com/docs/pay-out-funds-overview#the-payout-object). 

## Cancel Payout

Make a [`POST /payouts/{payoutId}/cancel`](https://docs.unipaas.com/reference/payoutcontroller_cancelpayout) request:

```curl
curl --request POST \
  --url 'https://sandbox.unipaas.com/platform/payouts/{payoutId}/cancel' \
  --header 'Accept: application/json' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer <PLATFORM_SECRET_KEY>'
```

in the response, you'll get the cancelled [`Payout object`](https://docs.unipaas.com/docs/pay-out-funds-overview#the-payout-object). 

## Cancel Vendor Payout

Make a [`POST /vendors/{vendorId}/payouts/{payoutId}/cancel`](https://docs.unipaas.com/reference/payoutcontroller_cancelpayout) request:

```curl
curl --request POST \
  --url 'https://sandbox.unipaas.com/platform/vendors/{vendorId}/payouts/{payoutId}/cancel' \
  --header 'Accept: application/json' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer <PLATFORM_SECRET_KEY>'
```

in the response, you'll get the cancelled [`Payout object`](https://docs.unipaas.com/docs/pay-out-funds-overview#the-payout-object).
